     procedure Change_Names;
          begin
               with Individual do
               begin
                    Write_Status('Enter {NEW} Last Name   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',20);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Last_Name := ''
                         else
                              Last_Name := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} First Name   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',20);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              First_Name := ''
                         else
                              First_Name := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW}  Address1   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',30);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Address1 := ''
                         else
                              Address1 := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW}  Address2   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',30);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Address2 := ''
                         else
                              Address2 := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} City   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',15);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              City := ''
                         else
                              City := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} State Code   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',2);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              State := ''
                         else
                              State := AllCaps(InStr);
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Zip Code   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',10);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Zip_Code := ''
                         else
                              Zip_Code := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Home Phone   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',17);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Home_Phone := ''
                         else
                              Home_Phone := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Business Phone   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',17);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Business_Phone := ''
                         else
                              Business_Phone := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Occupation   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',30);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Occupation := ''
                         else
                              Occupation := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Membership ID Number   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',20);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              MemberID := ''
                         else
                              MemberID := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Primary Computer   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',15);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Computer1 := ''
                         else
                              Computer1 := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Second Computer   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',15);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Computer2 := ''
                         else
                              Computer2 := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Areas of Expertise   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_InStr(13,21,'CHANGE TO : ',25);
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Topics := ''
                         else
                              Topics := InStr;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Date Joined   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_Date(13,21,'CHANGE TO : ');
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         If InStr = ESC then
                              Joined_Date := ''
                         else
                              Joined_Date := Date;
                         Changed := True
                    end;
                    Write_Status('Enter {NEW} Expiration Date   {<CR>} = No Change  {<ESC>} = Blank');
                    Get_Date(13,21,'CHANGE TO : ');
                    GotoXY(13,21); ClrEol;
                    if InStr <> '' then
                    begin
                         if InStr = ESC then
                              Exp_Date := ''
                         else
                              Exp_Date := Date;
                         Changed := True
                    end
               end
          end;
